// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

//----------------------------------------------------------//                        
//                ━▣━━◤HSPE◢━━▣━           \\
//                                                                  //
//         •Made in    : Indonesia                  \\
//         •Create By : @_wanzss                //
//         •Xbox         : Harringtonlყ            //
//         •Youtube   : Wanze'ϡ                    \\
//          ⌜                                             ⌝        //
//                      🅿🅻🅴🅰🆂🅴,                   \\
//               🅟🅔🅡🅜🅘🅢🅢🅘🅞🅝            //
//            🅵🅸🆁🆂🆃 🅱🅴🅵🅾🆁🅴          \\
//                🅣🅐🅚🅘🅝🅖 🅣🅗🅔               //
//                          🅲🅾🅳🅴                         \\           
//         ⌞                                              ⌟         //
//                                                                  \\
//----------------------------------------------------------\\

#include ".function.h"
#include "fragmentVersionSimple.h"

varying highp vec3 HSP;

uniform vec4 FOG_COLOR;
uniform vec2 FOG_CONTROL;
uniform vec4 CURRENT_COLOR;

void main(){

//DETECTION
vec4 HSF = FOG_COLOR;
vec2 HSFC = FOG_CONTROL;
vec4 HSC = CURRENT_COLOR;
float HRRN = (1.-pow(HSFC.y, 11.));
float HRMT = pow(max(min(1.-HSF.r *1.5,1.),.0),1.2);
float HRST = pow(max(min(1.-HSF.b*1.2,1.), .0), .5);
float PT = length(HSP.xz);

//VECTOR
vec4 CST = vec4(0.,.1,1.3,1.);
vec4 CMT = vec4(.1,.12,.3,0.);
vec4 CRN = vec4(1.)*HSF;
vec4 CSN = vec4(0.1,0.,2.,1.);
vec4 RCS = mix(mix(mix(CST, CSN, HRST), CMT, HRMT),CRN,HRRN);
vec4 G1 = mix(mix(mix(HSF,HSF,HRST),HSF,HRMT),HSF,HRRN);
vec4 G2 = mix(mix(mix(HSF,HSF,HRST),HSF,HRMT),HSF,HRRN);
vec4 G3 = mix(mix(mix(HSF,vec4(1.,.9,.7,1.),HRST),vec4(.1,.15,.25,1.),HRMT),HSF,HRRN);
vec4 G4 = mix(mix(mix(HSF,vec4(.9,.8,.5,1.),HRST),vec4(.07,.1,.2,1.),HRMT),HSF,HRRN);
vec4 G5 = mix(mix(mix(HSF,vec4(.9,.7,.8,1.),HRST),vec4(.04,.08,.15,1.),HRMT),HSF,HRRN);
vec4 G6 = mix(mix(mix(RCS,vec4(.8,.6,.7,1.),HRST),vec4(.015,.025,.1,1.),HRMT),HSF,HRRN);
vec4 G7 = mix(mix(mix(RCS,vec4(.6,.5,.8,1.),HRST),vec4(.07,.1,.2,1.),HRMT),HSF,HRRN);
vec4 G8 = mix(mix(mix(RCS,vec4(.4,.3,.7,1.),HRST),vec4(.04,.08,.15,1.),HRMT),HSF,HRRN);
vec4 G9 = mix(mix(mix(RCS,vec4(.3,.2,.6,1.),HRST),vec4(.015,.025,.1,1.),HRMT),HSF,HRRN);
vec4 G10 = mix(mix(mix(RCS,vec4(.0,0.,.5,1.),HRST),vec4(.015,.025,.1,1.),HRMT),HSF,HRRN);
vec4 RoCS = mix(RCS,G10,pow(clamp(PT*1.5,.0,1.),2.));

//CORRECT
RoCS = mix(RoCS, G9, pow(clamp(PT*1.47,0.,1.),2.2));
RoCS = mix(RoCS, G8, pow(clamp(PT*1.43,0.,1.),2.1));
RoCS = mix(RoCS, G7, pow(clamp(PT*1.39,0.,1.),2.2));
RoCS = mix(RoCS, G6, pow(clamp(PT*1.35,0.,1.),2.1));
RoCS = mix(RoCS, G5, pow(clamp(PT*1.32,0.,1.),2.2));
RoCS = mix(RoCS, G4, pow(clamp(PT*1.3,0.,1.),2.3));
RoCS = mix(RoCS, G3, pow(clamp(PT*1.2,0.,1.),3.2));
RoCS = mix(RoCS, G2, pow(clamp(PT*1.1,0.,1.),2.));
RoCS = mix(RoCS, G1, pow(clamp(PT*1.,0.,1.),2.));

//Result All or Final
vec4 JillValentine = mix(RoCS, HSF, HSC);
gl_FragColor = vec4(JillValentine);}