// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.
//----------------------------------------------------------//                        
//                ━▣━━◤HSPE◢━━▣━           \\
//                                                                  //
//         •Made in    : Indonesia                  \\
//         •Create By : @_wanzss                //
//         •Xbox         :  Harringtonlყ            \\
//          ⌜                                             ⌝        //
//                      🅿🅻🅴🅰🆂🅴,                   \\
//               🅟🅔🅡🅜🅘🅢🅢🅘🅞🅝            //
//            🅵🅸🆁🆂🆃 🅱🅴🅵🅾🆁🅴          \\
//                🅣🅐🅚🅘🅝🅖 🅣🅗🅔               //
//                          🅲🅾🅳🅴                         \\           
//         ⌞                                              ⌟         //
//                                                                  \\
//----------------------------------------------------------\\
// To use centroid sampling we need to have version 300 es shaders, which requires changing:
// attribute to in
// varying to out when in vertex shaders or in when in fragment shaders
// defining an out vec4 FragColor and replacing uses of gl_FragColor with FragColor
// texture2D to texture

#if __VERSION__ >= 300
#define attribute in
#define varying out

#else
#endif

uniform MAT4 WORLDVIEWPROJ;
uniform float RENDER_DISTANCE;
uniform vec4 FOG_COLOR;
uniform vec4 CURRENT_COLOR;
uniform vec2 FOG_CONTROL;

attribute mediump vec4 POSITION;
attribute vec4 COLOR;

varying vec4 color;

void main(){

//Detection
vec4 HSF = FOG_COLOR;
vec4 HSC = CURRENT_COLOR;
vec2 HSFC = FOG_CONTROL;
vec4 XHSP = POSITION;
float HRST = pow(max(min(1.-HSF.b*1.2,1.), .0), .5);
float HRMT = pow(max(min(1.-HSF.r *1.5,1.),.0),1.2);
float HRRN = (1.-pow(HSFC.y, 11.));

//Coding
vec4 CST = vec4(1.2);
vec4 CMT = vec4(.2,.2,.2,-4.8);
vec4 CRN = vec4(1.05);
vec4 CSN = vec4(1.,.9,.8,-3.);
vec4 Nthnlove = mix(mix(mix(CST, CSN, HRST), CMT, HRMT),CRN,HRRN);
float Wnzx = clamp(gl_Position.z / RENDER_DISTANCE -.7,.0,.5);
XHSP.y -= (.1,.2,clamp(length(POSITION.xyz),0.,1.))*.35-.11;

//Result
vec4 JillValentine = mix(mix(COLOR*HSC,HSF,Wnzx+.5),HSF,Nthnlove);

//Activator
gl_Position = WORLDVIEWPROJ*XHSP;
color = JillValentine;}