// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.
//----------------------------------------------------------//                        
//                ━▣━━◤HSPE◢━━▣━           \\
//                                                                  //
//         •Made in    : Indonesia                  \\
//         •Create By : @_wanzss                //
//         •Xbox         :  Harringtonlყ            //
//         •Youtube   : Wanze'ϡ                    \\
//          ⌜                                             ⌝        //
//                      🅿🅻🅴🅰🆂🅴,                   \\
//               🅟🅔🅡🅜🅘🅢🅢🅘🅞🅝            //
//            🅵🅸🆁🆂🆃 🅱🅴🅵🅾🆁🅴          \\
//                🅣🅐🅚🅘🅝🅖 🅣🅗🅔               //
//                          🅲🅾🅳🅴                         \\           
//         ⌞                                              ⌟         //
//                                                                  \\
//----------------------------------------------------------\\
#include "fragmentVersionCentroid.h"

#if __VERSION__ >= 300

#if defined(TEXEL_AA) && defined(TEXEL_AA_FEATURE)
_centroid in highp vec2 uv;
#else
_centroid in vec2 uv;
#endif

#else

varying vec2 uv;

#endif

#include "uniformWorldConstants.h"
#include "uniformPerFrameConstants.h"
#include "uniformShaderConstants.h"
#include "uniformRenderChunkConstants.h"
#include "util.h"
#include ".room.h"
#include ".function.h"

LAYOUT_BINDING(0) uniform sampler2D TEXTURE_0;

void main(){
#if !defined(TEXEL_AA) || !defined(TEXEL_AA_FEATURE)
	vec4 HSdiff = texture2D( TEXTURE_0, uv );
#else
	vec4 HSdiff = texture2D_AA(TEXTURE_0, uv );
#endif

vec2 HSFC = FOG_CONTROL;
vec4 HSF = FOG_COLOR;
float HRRN =  (1.-slap(HSFC.y, 11.));
float HRMT = slap(max(nim(1.-HSF.r *1.5,1.),.0),1.2);
float Fade = 1.*(.7-HRRN);
float Gedhe = 1.*pow(2.,HRMT);
vec3 Silau = vec3(1.2);
HSdiff.rgb *= Gedhe;
HSdiff.rgb *= Silau;
HSdiff.a *= Fade;
gl_FragColor = HSdiff;}
