//----------------------------------Function----------------------------------//
float rayPos(in vec3 pos, float yPos){
vec3 np = normalize(pos);
float sun = abs(1.0-length(np.yz));
vec3 Pos = vec3(smoothstep((8.5-yPos) + abs(np.y)*2.4,0.0,abs(np.z)*1.7));
vec3 flatRange = vec3(max(0.0,sun));
return pow(max(dot(Pos, flatRange), 0.0),5.0);}
vec3 raySun(in vec3 pos, vec3 x){
float specularFlat = rayPos(pos,1.4);
x *= vec3(1.2,1.,.0)*specularFlat;
return x;}
float W = 2.55;
float A = 0.075;
float N = 0.8*1.0;
float Z = 0.6*1.0;
float E = 0.067;
float S = 0.5;
vec3 HSTM(vec3 x){
return ((x*(W*x+N*A)+Z*E)/(x*(W*x+A)+Z*S))-E/S;}
vec3 HSS(vec3 rgb, float adjustment){ 
const vec3 W = vec3(0.2125, 0.7154, 0.0721); 
vec3 intensity = vec3(dot(rgb, W)); 
return mix(intensity, rgb, adjustment);}
//---------------------------------------------------------------------------------//
//Enchanted HSPE
//Please dont steal