// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.
//----------------------------------------------------------//                        
//                ━▣━━◤HSPE◢━━▣━           \\
//                                                                  //
//         •Made in    : Indonesia                  \\
//         •Create By : @_wanzss                //
//         •Xbox         :  Harringtonlყ            \\
//          ⌜                                             ⌝        //
//                      🅿🅻🅴🅰🆂🅴,                   \\
//               🅟🅔🅡🅜🅘🅢🅢🅘🅞🅝            //
//            🅵🅸🆁🆂🆃 🅱🅴🅵🅾🆁🅴          \\
//                🅣🅐🅚🅘🅝🅖 🅣🅗🅔               //
//                          🅲🅾🅳🅴                         \\           
//         ⌞                                              ⌟         //
//                                                                  \\
//----------------------------------------------------------\\
// To use centroid sampling we need to have version 300 es shaders, which requires changing:
// attribute to in
// varying to out when in vertex shaders or in when in fragment shaders
// defining an out vec4 FragColor and replacing uses of gl_FragColor with FragColor
// texture2D to texture

#if __VERSION__ >= 300
#define attribute in
#define varying out

#else
#endif

uniform MAT4 WORLDVIEWPROJ;
uniform float RENDER_DISTANCE;
uniform vec4 FOG_COLOR;
uniform vec4 CURRENT_COLOR;

attribute mediump vec4 POSITION;
attribute vec4 COLOR;

varying vec4 color;

const float fogNear = .7;

const vec3 inverseLightDirection = vec3(.86, .71, .4);
const float ambient = .0;

void main(){
vec4 XHSP = POSITION;
XHSP.y -= (0.1,0.2,clamp(length(POSITION.xyz),0.0,1.0))*0.35-0.11;
    gl_Position = WORLDVIEWPROJ*XHSP;

 	float fog = clamp(gl_Position.z / RENDER_DISTANCE - fogNear, .0, .5);

    color = mix( COLOR * CURRENT_COLOR, FOG_COLOR, fog + .5);
}