// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.    
//----------------------------------------------------------//                        
//                ━▣━━◤HSPE◢━━▣━           \\
//                                                                  //
//         •Made in    : Indonesia                  \\
//         •Create By : @_wanzss                //
//         •Xbox         :  Harringtonlყ            //
//         •Youtube   : Wanze'ϡ                    \\
//          ⌜                                             ⌝        //
//                      🅿🅻🅴🅰🆂🅴,                   \\
//               🅟🅔🅡🅜🅘🅢🅢🅘🅞🅝            //
//            🅵🅸🆁🆂🆃 🅱🅴🅵🅾🆁🅴          \\
//                🅣🅐🅚🅘🅝🅖 🅣🅗🅔               //
//                          🅲🅾🅳🅴                         \\           
//         ⌞                                              ⌟         //
//                                                                  \\
//----------------------------------------------------------\\
#include "fragmentVersionCentroid.h"

#if __VERSION__ >= 300
	#ifndef BYPASS_PIXEL_SHADER
		#if defined(TEXEL_AA) && defined(TEXEL_AA_FEATURE)
			_centroid in highp vec2 uv0;
			_centroid in highp vec2 uv1;
		#else
			_centroid in vec2 uv0;
			_centroid in vec2 uv1;
		#endif
	#endif
#else
	#ifndef BYPASS_PIXEL_SHADER
		varying vec2 uv0;
		varying vec2 uv1;
	#endif
#endif

varying vec4 color;
varying highp vec3 HSW;
varying highp vec3 HSP;
varying highp vec3 HSL;

uniform vec2 FOG_CONTROL;
uniform vec4 FOG_COLOR;
uniform float RENDER_DISTANCE;
uniform float FAR_CHUNKS_DISTANCE;

#ifdef FOG
varying vec4 fogColor;
#endif

#include "uniformShaderConstants.h"
#include "util.h"
#include ".function.h"

LAYOUT_BINDING(0) uniform sampler2D TEXTURE_0;
LAYOUT_BINDING(1) uniform sampler2D TEXTURE_1;
LAYOUT_BINDING(2) uniform sampler2D TEXTURE_2;

#define Wanze

void main(){
#ifdef BYPASS_PIXEL_SHADER
	gl_FragColor = vec4(0, 0, 0, 0);
	return;
#else 

#if USE_TEXEL_AA
	vec4 HSdiff = texture2D_AA(TEXTURE_0, uv0);
#else
	vec4 HSdiff = texture2D(TEXTURE_0, uv0);
#endif

#ifdef SEASONS_FAR
	HSdiff.a = 1.0;
#endif

#if USE_ALPHA_TEST
	#ifdef ALPHA_TO_COVERAGE
	#define ALPHA_THRESHOLD 0.05
	#else
	#define ALPHA_THRESHOLD 0.5
	#endif
	if(HSdiff.a < ALPHA_THRESHOLD)
		discard;
#endif
	
vec4 inColor = color;
//---------------------------------Detection---------------------------------//
vec4 HSFtime = FOG_COLOR;
vec2 HSFC = FOG_CONTROL;
float sh = uv1.y;
float HStime = texture2D(TEXTURE_1, vec2(0., 1.)).r;
HStime = clamp((HStime-0.5)*2., 0., 1.0);
float syng = HStime;
float ku = 1.-HStime;
float kpd = .5-abs(.5-HStime);
float nathan = (1.-pow(HSFC.y, 11.));
float HRST = syng*sh;
float HRMT = ku*sh;
float HRSR = kpd*sh;
float HRRN = nathan*sh;
float HRG = 1.-sh;
float HFRSR=pow(max(min(1.-HSFtime.b*1.2,1.), 0.),.5);
float look =pow(max(min(1.0-HSFtime.r*1.5,1.),.0),1.2);
//--------------------------------------------------------------------------------//
#ifdef Wanze
#if defined(BLEND)
	HSdiff.a *= inColor.a;
#endif

#if !defined(ALWAYS_LIT)
	HSdiff *= texture2D( TEXTURE_1, uv1 );
#endif

#ifndef SEASONS
	#if !USE_ALPHA_TEST && !defined(BLEND)
		HSdiff.a = inColor.a;
	#endif
	
	HSdiff.rgb *= inColor.rgb;
#else

	vec2 uv = inColor.xy;
	HSdiff.rgb *= mix(vec3(1.0,1.0,1.0), texture2D( TEXTURE_2, uv).rgb*2.0, inColor.b);
	HSdiff.rgb *= inColor.aaa;
	HSdiff.a = 1.0;
#endif

//------------------------------------Mapping-------------------------------//
vec3 HRC;
vec3 HRCN;
HRC = mix(vec3(1.5), vec3(1.,.95,.9), HRST);
HRC = mix(HRC, vec3(.93,.8,.7), HRSR);
HRC = mix(HRC, vec3(.6), HRG);
HRCN = mix(vec3(1.), vec3(.6,.6,.63), HRRN);
HRCN = mix(HRCN, vec3(.4), HRMT);
HSdiff.rgb *= HRC;
HSdiff.rgb *= HRCN;
HSdiff.rgb = HSTM(HSdiff.rgb);
HSdiff.rgb = HSS(HSdiff.rgb, 2.3);
//--------------------------------------------------------------------------------//

//------------------------------------Variabel--------------------------------//

//Float
float shm = uv1.x;
float shs = color.g;
float Weselo = look*sh;
float NHT= mix(1.,.2,HRST);
float SHT;
SHT = mix(1.,2., HRRN);
SHT = mix(SHT,.5, HRG);
SHT = mix(SHT,.0, HRMT);
float PHT = pow(shm*.34, 3.5);
float Bunder = clamp(pow(length(shm)*1.5, 5.), .0, 1.);

//Vector
vec3 HAW;
vec3 Ex = vec3(1.7);
vec3 HT1 = vec3(.7,.35,-.8);
vec3 HT = vec3(.8, .1, -.8);
vec3 HRA = vec3(.0, 2.5, 3.);
vec3 FHT = mix(HT, HT*50., HFRSR);
vec3 HRSD= vec3(.93)+shm*vec3(.11);
vec3 NGETEH = FHT*PHT*NHT*SHT;

//High Precision
highp vec3 dir0 = HSP;
highp vec3 dir1 = normalize(-dir0);
highp vec3 dir2 = normalize(cross(dFdx(dir0),dFdy(dir0)));

//bool
bool Ndas = (HSFtime.r > HSFtime.b&&HSFtime.r<.5&& HSFtime.b<.1);
bool Ndes = (HSFtime.r > HSFtime.g && HSFtime.b > HSFtime.g && HSFtime.r < 0.05 && HSFtime.b < 0.05 && HSFtime.g < 0.05);

//Correct
HRSD = mix(HRSD, vec3(1.), HRMT);
HRSD = mix(HRSD, vec3(1.), HRRN);
HRSD = mix(HRSD, vec3(1.), HRSR);
HAW = mix(vec3(.0,.535,.9), vec3(.0,.3,.7), HRSR);
HAW = mix(HAW, vec3(.0, .35, .7), HRRN);
HAW = mix(HAW, vec3(.05, .02, .1), HRMT);
HAW = mix(HAW, vec3(.0,.03,.1), HRG);

//--------------------------------------------------------------------------------//

//--------------------------------Activator-----------------------------------//
if(color.a == .0){
HSdiff.rgb *= vec3(1.2);
shs = color.g*1.2;
HRSD = vec3(.9)+shm*vec3(.15);}
if((.866>sh)||(.604>shs)){
HSdiff.rgb *= HRSD;}
if((.867>sh)||(.608>shs)){
HSdiff.rgb *= HRSD;}
if((.868>sh)||(.6012>shs)){
HSdiff.rgb *= HRSD;}
if((.869>sh)||(.616>shs)){
HSdiff.rgb *= HRSD;}
if((.87>sh)||(.62>shs)){
HSdiff.rgb *= HRSD;}
if((.871>sh)||(.624>shs)){
HSdiff.rgb *= HRSD;}
if((.873>sh)||(.628>shs)){
HSdiff.rgb *= HRSD;}
if((.874>sh)||(.632>shs)){
HSdiff.rgb *= HRSD;}
#if !defined (BLEND) && defined (ALPHA_TEST)
if(color.a > 0. && color.g > color.b && uv1.y > .8){
HSdiff.rgb *= vec3(.8,.9,.8);}
#endif
#ifndef SEASONS
if(color.b + color.b > color.r + color.g){
HSdiff.rgb = HAW;
HSdiff.a -=.17;
HSdiff.a += inColor.a * (length(HSW) /   RENDER_DISTANCE * +.7);}
#endif
if(HRRN < .2){
HSdiff.rgb = mix(HSdiff.rgb,raySun(HSW,HSdiff.rgb),.03*HRSR);}
if(Ndas == false){
HSdiff.rgb += NGETEH;}
if(Ndas == true){
HSdiff.rgb *= vec3(2.);
float NF = clamp(length(HSW) / RENDER_DISTANCE * 1.,.5,.5);
vec3 NFon = mix(HSdiff.rgb, HSFtime.rgb, NF);
HSdiff.rgb = NFon;}
if(Ndes == true){
HSdiff.rgb *= vec3(.8);}
if(!(HSFC.x ==.0)){
HSdiff.rgb += NGETEH;
HSdiff.rgb += HT1*pow(shm*.95,2.5)*NHT;}else{
HSdiff.rgb += HRA*pow(shm*1.05,8.5);
HSdiff.rgb *= vec3(2.,2.,4.);}
HSdiff.rgb += HSdiff.rgb*clamp(dot(dir2, dir1), .0,.37);
HSdiff.rgb *= mix(vec3(1.), Ex, HFRSR);
if(color.r < color.g){
HSdiff.rgb *= vec3(.75);}
//-------------------------------------Fog--------------------------------------//

float F = clamp(length(-HSW) / RENDER_DISTANCE * 1.,.025,.2);
vec3 Fon = mix(HSdiff.rgb, HSFtime.rgb, F);
HSdiff.rgb = Fon;
float HF = clamp(length(-HSW) / RENDER_DISTANCE *1.2,.45,3.);
vec3 HFon = mix(HSdiff.rgb, HSFtime.rgb*vec3(.6,.6,.62), HF);
HSdiff.rgb = mix(HSdiff.rgb, HFon, HRRN);
float HFP = clamp(length(-HSW) / RENDER_DISTANCE *1.5, .2, 1.);
vec3 HFPon = mix(HSdiff.rgb, HSFtime.rgb, HFP);
HSdiff.rgb = mix(HSdiff.rgb, HFPon, HFRSR);

//--------------------------------------------------------------------------------//

#ifdef FOG
HSdiff.rgb = mix( HSdiff.rgb, fogColor.rgb, fogColor.a );
#endif
#endif

gl_FragColor = HSdiff;

#endif // BYPASS_PIXEL_SHADER
}