#include "ShaderConstants.fxh"

#include "function/tonemap.hlsl"

struct PSI
{
    float4 position : SV_Position;
    float4 color : COLOR;
};

ROOT_SIGNATURE
float4 main(PSI inP) : SV_TARGET
{
    float4 inColor = inP.color;
    inColor.rgb = GBias(inColor);
    inColor.rgb *= 1.5;
    return inColor;
}